Bug 106976 - Compilation failure due to missing xcb_randr_lease_t
Summary: Compilation failure due to missing xcb_randr_lease_t
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-20 13:11 UTC by Danylo
Modified: 2019-09-18 20:18 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Danylo 2018-06-20 13:11:55 UTC
Recent commit https://cgit.freedesktop.org/mesa/mesa/commit/?id=7ab1fffcd2a504024b16e408de329f7a94553ecc broke Mesa compilation if version of xcb-randr is less than 1.13.
Comment 1 Danylo 2018-06-20 13:31:26 UTC
Sent a patch to fix the issue: https://patchwork.freedesktop.org/patch/230590/
Comment 2 Bas Nieuwenhuizen 2018-06-20 16:08:31 UTC
I think this patch already on the list should also fix it?

https://patchwork.freedesktop.org/patch/230449/
Comment 3 Danylo 2018-06-20 17:46:19 UTC
https://patchwork.freedesktop.org/patch/230449/ fixes meson build and only adds dependency on xrandr to autoconf. Meanwhile I fixed autoconf build.
Comment 4 Dylan Baker 2018-08-15 21:02:25 UTC
I'm marking this as fixed, please re-open if that is incorrect.
Comment 5 Marina Chernish 2018-08-16 13:08:47 UTC
Mesa cannot be compiled using following configuration:
./autogen.sh --with-gallium-drivers="" --with-dri-drivers=i965 --with-vulkan-drivers=intel --prefix=/[path to mesa]


Errors are present:
wsi/wsi_common_display.c:2307:4: error: unknown type name ‘xcb_randr_lease_t’
    xcb_randr_lease_t lease = xcb_generate_id(connection);
    ^
wsi/wsi_common_display.c:2308:4: error: unknown type name ‘xcb_randr_create_lease_cookie_t’
    xcb_randr_create_lease_cookie_t cl_c =
    ^
wsi/wsi_common_display.c:2309:7: error: implicit declaration of function ‘xcb_randr_create_lease’ [-Werror=implicit-function-declaration]
       xcb_randr_create_lease(connection, root, lease, 1, 1,
       ^
wsi/wsi_common_display.c:2311:4: error: unknown type name ‘xcb_randr_create_lease_reply_t’
    xcb_randr_create_lease_reply_t *cl_r =
    ^
wsi/wsi_common_display.c:2312:7: error: implicit declaration of function ‘xcb_randr_create_lease_reply’ [-Werror=implicit-function-declaration]
       xcb_randr_create_lease_reply(connection, cl_c, NULL);
       ^
wsi/wsi_common_display.c:2312:7: warning: initialization makes pointer from integer without a cast [-Wint-conversion]
wsi/wsi_common_display.c:2317:12: error: request for member ‘nfd’ in something not a structure or union
    if (cl_r->nfd > 0) {
            ^
wsi/wsi_common_display.c:2318:20: error: implicit declaration of function ‘xcb_randr_create_lease_reply_fds’ [-Werror=implicit-function-declaration]
       int *rcl_f = xcb_randr_create_lease_reply_fds(connection, cl_r);
Comment 6 Sergii Romantsov 2018-08-16 13:11:10 UTC
Proposed patch:
https://patchwork.freedesktop.org/patch/244821/
Comment 7 Sergii Romantsov 2018-08-28 15:17:19 UTC
Hello,
could, please, somebody clarify: should mesa be supported on Ubuntu 16.04 and with autoconf?
If yes, than could we review a patch, because seems patch makes some sense?
Comment 8 GitLab Migration User 2019-09-18 20:18:34 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/926.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.